summaryrefslogtreecommitdiffstats
path: root/trunk/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'trunk/autogen.sh')
-rwxr-xr-xtrunk/autogen.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/trunk/autogen.sh b/trunk/autogen.sh
new file mode 100755
index 0000000..0adade1
--- /dev/null
+++ b/trunk/autogen.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="gnome-user-docs"
+
+(test -f $srcdir/configure.in \
+ && test -d $srcdir/gnome2-user-guide) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
+}
+
+REQUIRED_AUTOMAKE_VERSION=1.6
+export REQUIRED_AUTOMAKE_VERSION
+
+USE_GNOME2_MACROS=1 . gnome-autogen.sh